//Export.h

#ifndef _EXPORT_H
#define _EXPORT_H

//ƽ SDK ϴ 
#include "Max.h"
#include "resource.h"
#include "istdplug.h"
#include "iparamb2.h"
#include "iparamm2.h"

#include <vector>

class XmlNode;

class Export : public SceneExport 
{
public:	
	static HWND hParams;
	
	int				ExtCount();					// Number of extensions supported
	const TCHAR *	Ext(int n);					// Extension #n (i.e. "3DS")
	const TCHAR *	LongDesc();					// Long ASCII description (i.e. "Autodesk 3D Studio File")
	const TCHAR *	ShortDesc();				// Short ASCII description (i.e. "3D Studio")
	const TCHAR *	AuthorName();				// ASCII Author name
	const TCHAR *	CopyrightMessage();			// ASCII Copyright message
	const TCHAR *	OtherMessage1();			// Other message #1
	const TCHAR *	OtherMessage2();			// Other message #2
	unsigned int	Version();					// Version number * 100 (i.e. v3.01 = 301)
	void			ShowAbout(HWND hWnd);		// Show DLL's "About..." box

	BOOL SupportsOptions(int ext, DWORD options);
	int				DoExport(const TCHAR *name, ExpInterface *ei, Interface *i, BOOL suppressPrompts=FALSE, DWORD options=0);

	//Constructor/Destructor
	Export();
	~Export();		

private:
	TCHAR			m_szFmtStr[16];
	
private:
	Interface*			m_pInterface;
	std::string			m_strName;
	//std::vector<INode*>	m_listINode;	

	XmlNode*			m_pXmlRoot;
	bool				m_bRun;

public:
	void			SetExport( bool bFlag ) { m_bRun = bFlag; };
	bool			GetExport() {	return m_bRun; };
	bool			ExportXML( const char* szFileName );
	void			CollectINode( INode* pNode, XmlNode* pParentXML );
};

#endif