//ExportProc.cpp
#include "export.h"
#include "tinyxml/tinyxml.h"

#include "xmlnode/XmlNode.h"
#include "xmlnode/StringUtil.h"

#ifdef _DEBUG
#pragma comment(lib, "tinyxmld")
#else
#pragma comment(lib, "tinyxml")
#endif


INT_PTR CALLBACK maxProjectOptionsDlgProc(HWND hWnd,UINT message,WPARAM wParam,LPARAM lParam) 
{
	static Export *imp = NULL;

	WPARAM wlParam = LOWORD(wParam);
	WPARAM whParam = HIWORD(wParam);

	switch(message) 
	{
	case WM_INITDIALOG:
		imp = (Export *)lParam;
		CenterWindow(hWnd,GetParent(hWnd));
		return TRUE;

	case WM_CLOSE:
		EndDialog(hWnd, 0);
		return 1;
	case WM_COMMAND:
		{
			if( imp && IDC_EXPORT == wlParam)		
			{
				imp->SetExport( true );
				SendMessage(hWnd, WM_CLOSE, 0, 0);				
			}
		}
		return 1;
	}
	return 0;
}
//-----------------------------------------------------------------------------------
/*
void Export::CollectINode( INode* pNode )
{
	if(!pNode)
		return;

	m_listINode.push_back(pNode);

	int iChild = pNode->NumberOfChildren();

	for(int i=0; i<iChild; ++i)
	{
		INode* pChild = pNode->GetChildNode(i);

		if(pChild)
			CollectINode(pChild);
	}
}
*/
//-----------------------------------------------------------------------------------
void Export::CollectINode( INode* pNode, XmlNode* pParentXML )
{
	if(!pNode)
		return;

	XmlNode* pXmlNode = CreateXmlNode( "Node" );
	pXmlNode->AddAttribute( "name", pNode->GetName() );
	if( m_pXmlRoot == NULL )
		pParentXML = m_pXmlRoot = pXmlNode;
	else
		pParentXML->AttachChild( pXmlNode );

	int iChild = pNode->NumberOfChildren();
	for(int i=0; i<iChild; ++i)
	{
		INode* pChild = pNode->GetChildNode(i);

		if(pChild)
			CollectINode(pChild, pXmlNode );
	}
}
//-----------------------------------------------------------------------------------
bool Export::ExportXML( const char* szFileName )
{
	WriteXml( szFileName, m_pXmlRoot );
	return true;
}