//StringUtil.h

#ifndef		_STRINGUTIL_H
#define		_STRINGUTIL_H


namespace	base
{
struct Vector2  
{  
	float x, y;

	Vector2( float _x, float _y )
	{
		x = _x;		y = _y; 
	}
};

struct Vector3  
{  
	float x, y, z;

	Vector3( float _x, float _y, float _z )
	{
		x = _x;		y = _y;		z = _z; 
	}
};

struct Vector4 
{  
	float x, y, z, w;

	Vector4( float _x, float _y, float _z, float _w )
	{
		x = _x;		y = _y;		z = _z;		w = _w;
	}
};

#pragma warning (disable : 4201)
struct Matrix 
{
	union 
	{
		struct 
		{
			float	_11, _12, _13, _14;
			float   _21, _22, _23, _24;
			float   _31, _32, _33, _34;
			float   _41, _42, _43, _44;

		};
		float m[4][4];
	};
	void Init()
	{
		_12 = _13 = _14 = _21 = _23 = _24 = _31 = _32 = _34 = _41 = _42 = _43 = 0;
		_11 = _22 = _33 = _44 = 1;
	}
};
#pragma warning (default : 4201)
};


bool			ToBool( const std::string& str );
std::string     ToString( bool bFlag );
int				ToInt( const std::string& str );
std::string		ToString( int num );
float			ToFloat( const std::string& str );
std::string		ToString( float num );
base::Vector2	ToVector2( const std::string& str );
std::string		ToString( const base::Vector2& vector );
base::Vector3	ToVector3( const std::string& str );
std::string		ToString( const base::Vector3& vector );
base::Vector4	ToVector4( const std::string& str );
std::string		ToString( const base::Vector4& vector );
base::Matrix	ToMatrix( const std::string& str );
std::string		ToString( const base::Matrix& mat );


#endif